﻿



/*.............Bus Ticket-Navbar.................*/
.navbar-custom {
    padding: 10px 30px;
    background-color: #fff;
    border-bottom: 1px solid #ddd;
}

.navbar-collapse .fas {
    font-size: 25px;
}

.consumer-logo {
    width: 50%;
}

.brand-logo-img {
    width: 11%;
    height: auto;
}

.user-id {
    background-color: #e24d38;
    color: white;
    padding: 4px 10px;
    border-radius: 5px;
    font-size: 12px;
    margin-right: 15px;
}

.nav-icon {
    color: #e24d38;
    font-size: 18px;
    margin-right: 15px;
    cursor: pointer;
}

.username {
    font-weight: bold;
    font-size: 14px;
    color: black;
}

.user-icon-name:hover {
    text-decoration: none;
}

.navbar-toggler {
    border: none;
}

    .navbar-toggler:focus {
        outline: none;
        box-shadow: none;
    }

.navbar-toggler-icon i {
    font-size: 24px;
    color: #e24d38;
}

.bus-booking-header {
    text-align: center;
    font-size: 50px;
}

.booking-wrapper {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 30px;
}

.image-background {
    position: absolute;
    top: -20%;
    left: 0;
    width: 100%;
    display: flex;
    justify-content: center;
    z-index: 0;
    /* Light image */
}

.bus-img {
    width: 65%;
}

.booking-form {
    display: flex;
    justify-content: space-around;
    align-items: center;
    background: rgba(255, 255, 255, 1);
    box-shadow: 0 0 15px rgba(161, 161, 161, 0.5);
    padding: 10px;
    border-radius: 10px;
    flex-wrap: wrap;
    z-index: 0;
    width: 85%;
}

.select-from {
    display: flex;
    flex-direction: column;
}

    .select-from label {
        font-weight: bold;
        margin-bottom: 5px;
    }

    .select-from select, .select-date {
        font-weight: bold;
        border: none;
        color: rgba(205, 205, 205, 1);
    }

.form-to {
    margin-left: 12px;
}

.select-from select:focus, input[type="date"]:focus, .search-button:focus {
    border: none; /* your desired border style */
    outline: none;
    box-shadow: none;
}



.switch-img {
    width: 70%;
}

.search-button {
    background-color: #e74c3c;
    color: white;
    border: none;
    padding: 6px 30px;
    border-radius: 6px;
    cursor: pointer;
}

    .search-button:hover {
        background-color: #c0392b;
    }

.search-img {
    width: 20%;
}

.bus-nav-lift-menu {
    gap: 20px;
}



/*...........bus-search-page......*/
.search-container {
    background-color: #efefef;
    padding: 16px;
    border-radius: 10px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    margin: 10px 20px 0 20px;
}

.fields {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 50px;
}

.field {
    display: flex;
    flex-direction: column;
    font-size: 13px;
}

    .field label {
        font-weight: bold;
        margin-bottom: 5px;
    }

    .field .selected-location-from {
        color: gray;
        font-weight: 500;
        cursor: pointer;
        display: flex;
        align-items: center;
        font-size: 15px;
        border: none;
        background: none;
    }

    .field .value::after {
        /*content: "▼";*/
        font-size: 10px;
        margin-left: 6px;
        color: #555;
    }

.swap-icon {
    font-size: 18px;
    margin-top: 18px;
    transform: rotate(180deg);
}

.buttons {
    display: flex;
    gap: 10px;
}

.btn-modify {
    border: 1px solid #ff0001;
    background-color: transparent;
    color: #ff0001;
    padding: 8px 16px;
    border-radius: 6px;
    font-size: 14px;
    cursor: pointer;
}

.btn-mybookings {
    color: #ff0001 !important;
    padding: 8px 16px;
    border-radius: 6px;
    font-size: 14px;
    border: none;
    cursor: pointer;
}

.btn-mybookings1 {
    background: #ff0001;
    color: #fff !important;
    padding: 8px 16px;
    border-radius: 6px;
    font-size: 14px;
    border: none;
    cursor: pointer;
}





/* Basic table styling */
.bus-table {
    width: 100%;
    border-collapse: initial;
    margin: 20px 0;
}

    .bus-table th {
    }

    .bus-table td {
        /*  border-bottom: 1px solid #ddd;*/
        text-align: left;
        /* padding: 5px 10px;*/
    }

    .bus-table th {
        background-color: #f2f2f2;
    }

    .bus-table .info {
        font-size: 0.9em;
        color: black;
    }

a {
    color: #000 !important;
    text-decoration: none !important;
}

.view-button {
    color: black !important;
}

.duration {
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: bold !important;
}

.price-view-bus {
    display: flex;
    flex-direction: column;
}

.view-bus {
    color: red;
    background: none;
    border: none;
    font-weight: bold;
}

    .view-bus .bi {
        font-size: 14px;
        margin: 10px;
        font-weight: bold;
    }

.seats {
    color: rgba(63, 136, 189, 1) !important;
}

.timing-dispatch {
    display: flex;
    gap: 50px;
}

.bus-table td .duration {
    font-weight: bold;
    color: #333;
}

/*...........Bus-ticket-details-page-styles.........*/
.bus-grid {
    display: grid;
    grid-template-columns: 1fr 3fr;
    gap: 20px;
    padding: 20px;
}

/* Ensure main-content can scroll on smaller screens */
.main-content {
    overflow-x: auto;
}

.filter-container {
    background: #fff;
    padding: 10px;
    border-radius: 10px;
    max-width: 400px;
    margin: 5px;
    border: 1px solid lightgray;
}

.filter-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
}

    .filter-header h2 {
        font-size: 18px;
    }

.clear {
    color: red;
    cursor: pointer;
}

.section {
    margin-bottom: 20px;
    background-color: #f1f1f1;
    padding: 10px;
    border-radius: 10px;
}

    .section .price-range .option {
        font-size: 10px;
        padding: 4px;
    }

.section-title {
    margin-bottom: 10px;
    font-weight: bold;
}

.options {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 10px;
}

.option {
    border: 1px solid #ccc;
    padding: 10px;
    border-radius: 10px;
    cursor: pointer;
    background: #fff;
    display: flex;
    align-items: center;
    gap: 8px;
    justify-content: center;
    text-align: center;
    font-size: 10px;
    flex-direction: column;
    font-weight: bold;
}

    .option i {
        font-size: 20px;
    }

    .option.selected {
        background: #ff0001;
        color: white;
        border-color: black;
    }


td label, .duration {
    font-weight: bold;
}

.input-container {
    background-color: #efefef;
    border-radius: 10px;
}

    .input-container label {
        display: block;
        font-weight: 600;
        margin-bottom: 8px;
        font-size: 14px;
    }

.search-input {
    display: flex;
    align-items: center;
    background-color: #fff;
    border-radius: 10px;
    padding: 6px 12px;
    border: 1px solid #ccc;
}

    .search-input input {
        border: none;
        outline: none;
        flex: 1;
        font-size: 10px;
        color: #333;
    }

    .search-input img {
        width: 14px;
        margin-right: 8px;
        opacity: 0.6;
    }

.main-content {
    display: flex;
    flex-direction: column;
}

.date-bar {
    display: flex;
    overflow-x: auto;
    padding: 10px 0;
    gap: 8px;
}

    .date-bar label {
        background: #eee;
        padding: 10px 16px;
        border-radius: 8px;
        white-space: nowrap;
        cursor: pointer;
    }

    .date-bar .active {
        background: #ff0001;
        color: white;
    }

    .date-bar .change-date {
        background: #ff0001;
        color: white;
    }

.bus-table {
    border: 1px solid #ddd;
    border-radius: 10px;
}

.bus-details-table td {
    border-bottom: 1px solid #ddd;
    padding: 5px 10px;
}

.operator-header, .bus-card {
    background: white;
    border-radius: 10px;
    padding: 5px 5px 0 5px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    /* margin-bottom: 15px; */
}

.operator-header {
    background: rgba(237, 255, 255, 1);
    margin-bottom: 20px;
    padding: 10px;
}

.operator-logo {
    display: flex;
    align-items: center;
    gap: 15px;
}

    .operator-logo img {
        height: 60px;
        width: 60px;
    }

.bus-details {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 99px;
    border-bottom: 1px solid lightgray;
    padding: 5px 0;
}

.extra-view {
    display: flex;
    justify-content: space-between;
}

.extras {
    display: flex;
    gap: 10px;
    padding: 5px;
}

    .extras select {
        border: none;
    }

.transport-name {
    font-size: 12px;
}

.bus-name {
    font-weight: bold;
}

.bus-times {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 70px;
}

.view-seats {
    background: rgba(221, 75, 57, 1);
    color: white;
    padding: 5px 20px;
    border: none;
    border-radius: 0px 0px 10px 0px;
    text-align: center;
    cursor: pointer;
}

.price, .duration {
    font-weight: 800;
}

.info {
    font-size: 13px !important;
    color: gray !important;
    font-weight: 700
}

.modal-header .close {
    border: none;
    background: none;
    font-size: 30px;
}

.modal-header {
    padding: 0px !important;
    border-bottom: 0px !important;
}

.options .option {
    color: #000 !important
}

@media (min-width:667px) and (max-width:896px) {
    .bus-nav-lift-menu {
        gap: 0;
    }

    .navbar-collapse .fas {
        font-size: 20px;
    }
}

@media (min-width:375px) and (max-width:665px) {
    .brand-logo-img {
        width: 40%;
        height: auto;
    }

    .collapse:not(.show) {
        display: block !important;
    }

    .navbar {
        flex-wrap: nowrap !important;
    }

    .user-icon-name {
        display: none !important
    }

    .image-background {
        top: -10%;
    }

    .booking-form {
        margin-top: 150px;
        padding: 10px 44px;
    }

    #divSearch {
        height: 69vh !important;
    }

    .bus-booking-header {
        font-size: 35px;
        margin-bottom: 65px;
    }
}

@media (max-width: 768px) {
    .bus-grid {
        grid-template-columns: 1fr; /* Stack in 1 column */
    }

    .search-container,
    .filters {
        width: 100%; /* Force full width */
    }

    .main-content {
        width: 100%;
    }

    .search-container {
        flex-direction: column;
        align-items: flex-start;
    }

    .fields {
        flex-direction: column;
        align-items: flex-start;
        gap: 16px;
    }

    .buttons {
        width: 100%;
        justify-content: flex-start;
        margin-top: 10px;
    }
}

@media (min-width: 992px) {
    .modal-lg, .modal-xl {
        max-width: 100% !important;
    }
}


/*----------- select Bus ------------*/
.lowedeck {
    border: 1px solid #AAAAAA;
    padding: 6px;
}

    .lowedeck .steering {
        text-align: end;
    }

    .lowedeck .busstimg {
        width: 15%;
        margin-right: 15px;
    }

.busselection {
    display: flex;
    justify-content: center;
    height: 490px !important
}

.seat1 {
    width: 57%;
    justify-content: space-between;
    flex-direction: column;
    display: flex;
    gap: 10px;
}

    .seat1 .busseat1 {
        width: 28%;
    }

.busseat1 {
    width: 29px !important;
    height: 29px !important;
}

.sleeper {
    display: flex;
    gap: 10px;
}

.bussleper {
    width: 100%;
    height: 60px !important
}

.seats2 {
    width: 33%
}

.slepeer1 {
    display: flex;
    flex-direction: column;
    width: 57%;
}

.bussleper1 {
    width: 25%;
}

.seatsinfo .avl {
    display: flex;
    align-items: center;
    gap: 10px
}

    .seatsinfo .avl p {
        font-size: 15px;
        margin: 0px;
        padding: 0px;
    }

    .seatsinfo .avl .avlround {
        width: 35px;
        height: 35px;
        border: 2px solid #99999999;
        border-radius: 50%;
        background: #fff;
    }

    .seatsinfo .avl .booked {
        width: 35px;
        height: 35px;
        border: 1px solid #99999999;
        border-radius: 50%;
        background: #ccc;
    }

    .seatsinfo .avl .fp {
        width: 35px;
        height: 35px;
        border: 2px solid #EE3596;
        border-radius: 50%;
        background: #fff;
    }

    .seatsinfo .avl .fp {
        width: 46px;
        height: 35px;
        border: 2px solid #EE3596;
        border-radius: 50%;
        background: #fff;
    }

    .seatsinfo .avl .bfp {
        width: 40px;
        height: 35px;
        border: 2px solid #EE3596;
        border-radius: 50%;
        background: #ccc;
    }

    .seatsinfo .avl .mp {
        width: 40px;
        height: 35px;
        border: 2px solid #2B59CD;
        border-radius: 50%;
        background: #fff;
    }

    .seatsinfo .avl .amp {
        width: 35px;
        height: 35px;
        border: 2px solid #2B59CD;
        border-radius: 50%;
        background: #ccc;
    }

.vline {
    border: 1px solid #ccc;
    width: 0px !important;
    padding: 0px !important;
}

.busticket .card-header {
    padding: .5rem 1rem;
    margin-bottom: 0;
    background-color: #fff;
    border-bottom: 1px solid rgba(0, 0, 0, .125);
}

.busticket .card-body {
    flex: 1 1 auto;
    padding: 1rem 4px;
}

.businfo {
    display: flex;
    flex-direction: column;
}

.travalname {
    color: #000;
    font-weight: 500;
}

.timedate {
    color: #444;
    font-size: 10px;
}

.busticket .nav-link {
    padding: .5rem 10px;
}

.busticket .nav-tabs {
    border-bottom: 0px solid #dee2e6;
    justify-content: space-between;
}

    .busticket .nav-tabs .nav-link.active {
        color: #DD4B39 !important;
        background-color: #fff;
        border-color: #fff;
        font-weight: 600
    }

    .busticket .nav-tabs .nav-link:focus, .nav-tabs .nav-link:hover {
        border-color: #fff #fff #fff !important;
        isolation: isolate;
    }

.bp {
    display: flex;
    gap: 20px;
}

.artime {
    font-weight: bold;
    color: #000 !important;
}

.arpalce {
    display: flex;
    flex-direction: column;
}

.armainpalce {
    font-weight: 700
}

.arsubpalce {
    font-size: 12px;
}

.tab-content {
    height: 80vh;
    overflow-y: auto;
}

.busticket .tab-content > .active {
    display: block;
    height: 52vh;
    overflow: hidden auto;
}

.seating-select-body {
    overflow-y: hidden !important;
}

.bpradio {
    display: flex;
    align-items: anchor-center;
    gap: 10px;
}

.btn-inactive {
    background: #CCCCCC !important;
    color: #fff !important;
    padding: 5px 31px !important;
}

.btn-active {
    background: #DD4B39 !important;
    color: #fff !important;
    padding: 5px 31px !important;
}

.amenitiesimg {
    width: 6%;
}

.amenitieslabel {
    font-weight: 700;
    margin-left: 10px;
}

#lowerDeckLayout, #upperDeckLayout {
    position: relative;
}

.lowedeck {
    overflow: auto;
    border: 1px solid #ccc;
    padding: 5px;
}

.busstimg {
    width: 50px;
    height: 50px;
    display: block;
    margin: 0 auto;
    margin-bottom: 20px;
}

.bussleper {
    cursor: pointer;
}

.seat-selected {
    border: 2px solid #28a745;
    box-shadow: 0 0 8px #28a745;
    border-radius: 3px;
}



/***************** Passenger details ***********************/

.subtextpass {
    font-size: 12px;
    font-weight: bold
}

.text-red {
    color: red;
}

.edit {
    border: none;
    border: none;
    background: none;
    margin-top: -33px;
    margin-right: 7px;
}

.passmain .contactdetails .card {
    background: #F5FEFF;
}

.passmain .pass {
    font-size: 16px;
}

.passmain .detlabel {
    font-size: 14px;
}

.gen-label {
    font-weight: 600
}

.passmain .card-header {
    background: none;
}

.bi-bus-front-fill {
    color: #444;
    font-size: 35px;
}

.startend {
    display: flex;
    flex-direction: column
}

.dashline {
    width: 1px;
    height: 60px;
    border: 1px dashed;
    padding: 0;
    margin-left: 6px;
}

.lines {
    display: flex;
    gap: 10px;
    width: 100%;
}

.bustimes {
    display: flex;
    justify-content: space-between
}

.dttt-main {
    display: flex;
    flex-direction: column;
    width: 100%;
    justify-content: space-between;
}

.dettt {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.busseatdtt .busseat1 {
    width: 40px;
}

.busseatdtt .lines {
    align-items: center;
}

.trldetsub {
    color: #4A75CB;
    font-weight: bold;
}



/******************** Payment Mode *******************/
.pgselect {
    display: flex; /*Profile changes*/
    gap: 13px;
    flex-wrap: wrap;
}

    .pgselect .pg {
        width: 95px;
        padding: 1px 3px;
        text-align: center;
        position: relative;
        flex-direction: column;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .pgselect .pgimg:hover {
        transform: scale(1.2);
        background: #c4ffe0;
    }

    .pgselect .pg .pgimg {
        width: 100%;
        border: 2px solid #939393;
        border-radius: 10px;
        transition: transform .5s ease;
    }

    .pgselect .pgtext {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 5px;
    }

.modetext {
    font-size: 13px;
}

.pgselect .pg .pgbtn {
    width: 76%;
}

.pgselect .pg .pgactive {
    position: absolute;
    top: -11px;
    right: -2px;
}

.pgselect .pg .bi-check-circle-fill {
    color: #0FA958;
    font-size: 15px;
}

.pgselect .pg-active {
    width: 82px;
    border: 2px solid #0fa958;
    padding: 1px 3px;
    text-align: center;
    position: relative;
    background: #e5fff2;
    border-radius: 10px;
}

.modal-open {
    overflow: hidden;
    padding-right: 0px !important;
    height: 100vh !important;
    min-height: 100%;
}

.modal-body {
    height: 100vh;
    overflow-y: auto;
}

@media (min-width: 576px) {
    .modal-dialog {
        max-width: 500px;
        margin: 0rem auto !important;
    }
}

.modal-body .nav {
    justify-content: center;
}

.busess .nav-link.active {
    color: #DD4B39 !important;
    background-color: #f5feff !important;
    border-color: #f5feff !important;
    border-bottom-color: #dee2e6 !important;
    font-weight: 600;
}

.busess .nav-link:focus, .nav-tabs .nav-link:hover {
    border-color: #f5feff !important;
    border-bottom-color: #dee2e6 !important;
    isolation: isolate;
}

.bpdp .card {
    padding: 10px;
    height: 50vh;
    overflow-y: auto;
    border-radius: 10px;
}

.bpdp .armainpalce {
    font-weight: 600;
}

.modal-content {
    height: 100vh !important;
    overflow: auto;
}
/*.........Payment Recipt Styles............*/
.success {
    text-align: center;
    padding: 30px 20px;
    border-bottom: 1px solid #ddd;
}

    .success .icon {
        font-size: 48px;
        color: #4CAF50;
    }

    .success h2 {
        margin: 15px 0 5px;
        color: #333;
    }

    .success p {
        margin: 4px 0;
        color: #666;
    }

.details-header {
    background-color: #333;
    color: #fff;
    padding: 15px 20px;
    font-size: 16px;
}

.date-location {
    border-bottom: 1px solid #eee;
    background-color: none !important;
}


.location-info {
    color: rgba(63, 136, 189, 1);
    font-size: 14px;
    font-weight: bold;
}



.highlight {
    color: rgba(221, 75, 57, 1);
    font-weight: bold;
    text-decoration: underline;
}

.label {
    color: #999;
}

.value {
    color: #333;
}

.board-drop-locations {
    width: 100%;
    display: flex;
}

.board-drop {
    width: 50% !important;
}

.pasenger-name {
    width: 50% !important;
    display: flex;
    flex-direction: column;
}

.selected-seat {
    width: 50% !important;
    display: flex;
    flex-direction: column;
}

.date-location .row {
    margin-bottom: 10px;
}

.date-location {
    padding: 10px;
}

.details-header {
    text-align: center;
}

    .details-header p {
        margin: 0;
    }

.travels-details {
    display: flex;
    align-items: center;
    gap: 20px;
    border-bottom: 1px solid #eee;
    padding: 10px;
}

.travels-details1 {
    display: flex;
    align-items: center;
    width: 100%;
    gap: 20px;
}

    .travels-details1 .row {
        display: flex;
    }

    .travels-details1 .bi {
        color: black;
        font-size: 20px;
    }

.bus-icon .bi {
    font-size: 25px;
}

.board-drop .bi {
    font-size: 25px;
}

.ticket-book-success {
    text-align: center;
    margin-bottom: 15px;
    margin-top: 15px;
}


.travel-details-number {
    display: flex;
    flex-direction: column;
    font-size: 13px;
}

    .travel-details-number p {
        margin: 0;
    }

.travel-details-number {
    width: 100%;
}

.ticket-book-success .bi {
    font-size: 80px;
    color: green;
}

.pay-suc-amount {
    font-weight: bold;
    font-size: 20px;
}

.pay-done-time {
    font-size: 17px;
}

.trans-id {
    font-size: 15px;
    color: gray;
}

.bus-satrt {
    color: rgba(102, 102, 102, 1);
    font-weight: 600;
}

.bus-end {
    color: rgba(102, 102, 102, 1);
    font-weight: 600;
}

.detail-location {
    color: rgba(102, 102, 102, 1);
    font-size: 13px;
}

.pas-name, .no-of-seats {
    font-weight: 600;
}

.pas-info, .seats-count {
    color: rgba(102, 102, 102, 1);
    font-size: 12px;
    font-weight: 600;
}

@media (min-width:375px) and (max-width:896px) {
    .payment-receipt {
        padding: 20px;
    }
}

/*..............end...........*/
.card-header .seat-label,
.card-header .gender-label {
    font-size: 0.8rem !important;
    color: #6c757d !important;
    margin-left: 0.5rem !important;
}

#passengerSelectionStatus {
    min-width: 100px;
    text-align: center;
}

.filter-icon {
    width: 50%;
}

.selectcheck {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.buslabelicons {
    display: flex;
    align-items: center;
    gap: 5px;
}

    .buslabelicons .bi-person-circle {
        font-size: 25px;
    }

    .buslabelicons .male {
        color: #2b59cd;
    }

    .buslabelicons .female {
        color: #ee3596;
    }

/*.selectcheck {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
}*/

.selectcheck {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 12px;
    padding: 6px 0;
    border-bottom: 1px solid #e0e0e0; /* optional line separation */
}

.left-section {
    display: flex;
    align-items: center;
    gap: 8px;
    flex: 2;
}

.middle-section {
    flex: 1;
    text-align: center;
}

.right-section {
    flex: 0;
    display: flex;
    align-items: center;
    justify-content: flex-end;
}
/*.........My Booking Styles................*/
.my-booking {
    padding: 20px;
}

.day-week {
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.booking-table-shadow {
    box-shadow: 1px 1px 2px 2px rgba(213, 213, 213, 1);
}

.day-week .highlight-color {
    font-size: 20px;
}

.my-booking .nav-pills {
    display: flex;
    justify-content: center;
    gap: 20px;
}

    .my-booking .nav-pills .nav-item {
        border-radius: 10px;
    }

        .my-booking .nav-pills .nav-item .nav-link {
            color: rgba(154, 154, 154, 1) !important;
            border: 1px solid rgba(154, 154, 154, 1);
            padding: 10px 40px;
            font-weight: bold;
        }

    .my-booking .nav-pills .nav-link.active, .nav-pills .show > .nav-link {
        background-color: rgba(221, 75, 57, 1) !important;
        color: white !important;
        border: none;
    }

.highlight-color {
    color: rgba(221, 75, 57, 1) !important;
}

.highlight-color1 {
    color: rgba(221, 75, 57, 1) !important;
}

    .highlight-color1 .bi {
        padding: 5px;
    }

.booking-info {
    display: flex;
    flex-direction: column;
}

    .booking-info .highlight-color1 {
        font-weight: normal;
    }

.booking-table td {
    border: none;
}

.my-booking-receipt .payment-receipt {
    margin: 20px;
}

.my-booking-main {
    overflow-x: hidden;
}



@media (min-width:375px) and (max-width:896px) {
    .my-booking .nav-pills .nav-item .nav-link {
        padding: 5px 10px;
    }

    .my-booking-main {
        overflow-x: auto;
    }

    .my-booking-receipt .payment-receipt {
        margin: 0 !important;
    }
}

/*.........end.................*/
body::-webkit-scrollbar {
    width: 3px;
}


body::-webkit-scrollbar-thumb {
    background-color: darkgrey;
}

@media (min-width: 992px) {
    .lowerupper {
        flex: 0 0 auto;
        width: 18.666667% !important;
    }
}

.highlight-date {
    font-weight: bold;
}


/***************** Bus cancle ******************/
.cancleheader {
    background: #FFE6E6 !important;
    box-shadow: 0px 0px 10px 1px rgba(213, 213, 213, 1);
}

.my-circle {
    color: #FF0000;
    font-size: 25px;
    padding-right: 10px;
}

.my-rupee {
    font-size: 25px;
    margin-right: 10px;
    height: 30px;
    width: 30px;
    border-radius: 50%;
    border: 1px solid #000;
    padding: 0;
    margin-right: 10px;
}

.ct {
    color: #FF0000;
    font-weight: bold;
    font-size: 15px;
    padding-right: 5px;
}

.efr {
    font-size: 12px;
}

.accordion-button:focus {
    z-index: 3;
    border-color: #eee !important;
    outline: 0;
    box-shadow: 0 0 0 1px rgba(0, 0, 0, 0.3) !important;
}

.payment-receipt .accordion-button::after {
    flex-shrink: 0;
    width: 2.25rem;
    height: 2.0rem;
    margin-left: auto;
    content: "";
    background-image: url('../img/BusTicketStyles/arrow-acc.png');
    /*    background-image: url(data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23212529'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e);
*/ background-repeat: no-repeat;
    background-size: 35px;
    transition: transform .2s ease-in-out;
}

.payment-receipt .accordion-button:not(.collapsed)::after {
    background-image: url('../img/BusTicketStyles/arrow-acc.png');
    transform: rotate(-90deg);
}

.mybookings-modal .modal-header {
    display: flex;
    flex-shrink: 0;
    align-items: center;
    justify-content: space-between;
    padding: 0rem 1rem !important;
    border-bottom: 1px solid #dee2e6 !important;
    border-top-left-radius: calc(.3rem - 1px);
    border-top-right-radius: calc(.3rem - 1px);
    background: #EEEEEE
}

.mybookings-modal .modal-body {
    height: fit-content !important;
    overflow-y: auto;
}

.mybookings-modal .modal-content {
    position: relative;
    display: flex;
    flex-direction: column;
    width: 100%;
    pointer-events: auto;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid rgba(0, 0, 0, .2);
    border-radius: .3rem;
    outline: 0;
    height: fit-content !important
}

.mybookings-modal .busdet .date {
    font-size: 12px;
    font-weight: bold;
}

.mybookings-modal .bi-bus-front-fill {
    color: #444;
    font-size: 29px;
}

.destinationmy {
    font-weight: bold;
    font-size: 15px;
}

.mybookings-modal .selectcheck {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 12px;
    padding: 6px 0;
    border-bottom: 1px solid rgba(0, 0, 0, .03);
}

.mybookings-modal .namepass {
    color: #000;
}

.mybookings-modal .yearspass {
    font-size: 13px;
}

.mybookings-modal .buslabelicons .bi-person-circle {
    font-size: 29px;
}

.mybookings-modal .card-header {
    background: none;
}

.chargesmy .card {
    background: #EFEFEF;
    padding: 5px 10px;
}



/********************** New styles ***********************/
.bus-main {
    background: #DD4B39;
    overflow: hidden
}

.bus-submain {
    height: 89.5vh;
}

    .bus-submain .card-header {
        background: none;
        border: none;
    }

.form-gp {
    border: none !important;
    border-bottom: 2px solid #DD4B39 !important;
    border-radius: initial !important;
    padding-left: 29px !important;
    padding-top: 0px !important;
    padding-bottom: 0px !important;
    padding-top: 0px !important;
    padding-bottom: 0px !important;
}

.busicons {
    font-size: 20px;
    padding: 0 0;
    float: left;
    margin-top: -26px;
    width: 23px;
}

.busleftimg {
    width: 100%;
}

.form-gp:focus {
    color: #212529;
    background-color: #fff;
    border-color: #86b7fe;
    outline: 0;
    box-shadow: initial !important;
}

.leftrighticon {
    color: rgba(0,0,0,70%);
    font-size: 25px;
}

.leftrighticonbutton {
    background: none;
    border: none;
}

.frombus {
    width: 27px;
    padding-right: 0px;
    margin-top: -49px;
}

.frombusgp {
    padding-left: 34px !important;
}
/* ================= FOOTER ================= */

footer {
    padding: 80px 0 20px;
    border-top: 1px solid rgba(255,255,255,0.08);
    background: #0F172A;
}

    footer h1 {
        color: #fff;
    }  footer  h2 {
        color: #fff;
    }  footer  h4{
        color: #fff;
    }  footer span {
        color: #fff;
    } footer  p {
        color: #fff;
    } footer  a {
        color: #fff;
    }


      .hero p{
          color:#fff;
      }
.contact-box p{
    color:#fff;
}
.modal-content h1, h2, h4, span, p, a {
    color: #000;
}

.footer-title {
    font-size: 22px;
    font-weight: 700;
    margin-bottom: 20px;
}

.footer-links a {
    display: block;
    color: #d0d0d0 !important;
    margin-bottom: 12px;
    transition: 0.3s;
}

    .footer-links a:hover {
        color: #ff0001;
    }

.copyright {
    border-top: 1px solid rgba(255,255,255,0.08);
    margin-top: 40px;
    padding-top: 20px;
    text-align: center;
    color: #bdbdbd;
}

/* ================= RESPONSIVE ================= */

@media(max-width:991px) {

    .hero {
        text-align: center;
        padding-top: 40px;
    }

    .hero-title {
        font-size: 42px;
    }

    .hero-img {
        margin-top: 50px;
        height: 400px;
    }

    .about {
        text-align: center;
    }

    .mobile-img {
        margin-bottom: 40px;
    }

    .section-title {
        font-size: 38px;
    }
}

@media(max-width:767px) {

    .hero-title {
        font-size: 34px;
    }

    .section-title {
        font-size: 30px;
    }

    .hero-img {
        height: 300px;
    }

    .service-content h3 {
        font-size: 24px;
    }

    .store-btn {
        margin-bottom: 15px;
    }
}

.contactinfo {
    /* background-image: url('/WebAssets/images/contactinfobg.png'); */
    /* background: #ff0000; */
    background-position: center;
    height: 243px;
    background-size: cover;
    padding: 20px;
    border-radius: 10px;
    border: 1px solid #ff0001;
    background: #fff;
}

.contactinfo-icon {
    text-align: center;
}

.contct-icon {
    width: 40%;
}

.contact-content p {
    font-size: 14px;
    text-align: center;
    color: #3e3e3e;
}

.contactinfomain {
    padding: 22px;
}

.footer-links .bi {
    font-size: 25px;
}
/* BACK TO TOP BUTTON */

#backToTop {
    position: fixed;
    bottom: 25px;
    right: 25px;
    width: 55px;
    height: 55px;
    border: none;
    outline: none;
    cursor: pointer;
    border-radius: 50%;
    font-size: 28px;
    font-weight: bold;
    color: #fff;
    background: #ff0001;
    box-shadow: 0 10px 25px rgba(0,0,0,0.3);
    transition: 0.3s ease;
    display: none;
    z-index: 999;
    justify-content: center;
    align-items: center;
}

    #backToTop:hover {
        transform: translateY(-5px) scale(1.1);
        box-shadow: #ff0001;
    }

@media (max-width:900px) {
    .whitebglogo {
        width: 80% !important;
        padding-right: 10px;
    }
}

.navbar-nav .nav-link.active {
    color: #F2D863 !important;
    font-weight: 600;
}


/* ================= CONTACT SECTION ================= */

.contact-section {
    padding: 20px 0;
}

/* ================= LEFT CARD ================= */

.contact-form-card {
    background: #fff;
    border: 1px solid #ff0001;
    border-radius: 35px;
    padding: 45px;
    position: relative;
    overflow: hidden;
}

.form-title {
    font-size: 30px;
    font-weight: 600;
    color: #000;
    margin-bottom: 15px;
}

.form-subtitle {
    color: #000;
    font-size: 15px;
    margin-bottom: 45px;
}

/* ================= LABEL ================= */

.form-label {
    color: #000;
    font-size: 16px;
    margin-bottom: 9px;
}

/* ================= INPUT ================= */

.custom-input {
    position: relative;
}

    .custom-input i {
        position: absolute;
        left: 24px;
        top: 50%;
        transform: translateY(-50%);
        color: #ff0000;
        font-size: 24px;
        z-index: 2;
    }

.textarea-box i {
    top: 18px;
    transform: none;
}

.form-control {
    background: #fff;
    border: 1px solid rgba(255, 0, 0, 0.75);
    border-radius: 18px;
    height: 55px;
    color: #000;
    font-size: 15px;
    padding-left: 69px;
}

textarea.form-control {
    height: 100px;
    padding-top: 14px;
    resize: none;
}

.form-control::placeholder {
    color: #d0d0d0;
}

.form-control:focus {
    background: #000;
    color: #fff;
    border-color: #ff1b1b;
    box-shadow: 0 0 18px rgba(255,0,0,0.35);
}

/* ================= BUTTON ================= */

.send-btn {
    width: 100%;
    height: 45px;
    border: none;
    border-radius: 18px;
    background: #fff;
    color: #ff0001;
    font-size: 22px;
    font-weight: 500;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 18px;
    margin-top: 10px;
    box-shadow: 0 0 25px rgba(255,0,0,0.45), inset 0 0 15px rgba(255,0,0,0.15);
    transition: 0.4s;
}

    .send-btn:hover {
        transform: translateY(-2px);
    }

/* ================= RIGHT CARD ================= */

.help-card {
    position: relative;
    overflow: hidden;
    background-image: url('../img/Contactbg.png');
    border-radius: 35px;
    padding: 85px;
    background-position: top;
    background-size: contain;
    background-repeat: no-repeat;
}

/* .help-card::before{
  content:'';
  position:absolute;
  top:-120px;
  right:-120px;
  width:320px;
  height:320px;
  background:radial-gradient(circle,rgba(255,0,0,0.2),transparent);
} */

/* ================= TEXT ================= */

.help-content {
    position: relative;
    z-index: 3;
    max-width: 430px;
}

.help-title {
    color: #fff;
    font-size: 36px;
    font-weight: 700;
    line-height: 1.05;
    margin-bottom: 30px;
}

    .help-title span {
        display: block;
        color: #ff1b1b;
        margin-top: 10px;
    }

.help-text {
    color: #d0d0d0;
    font-size: 15px;
    line-height: 1.8;
}

/* ================= IMAGE ================= */

.headphone-image {
    position: absolute;
    right: -20px;
    bottom: -10px;
    height: 100%;
    max-height: 560px;
    z-index: 1;
    filter: drop-shadow(0 0 30px rgba(255,0,0,0.45));
}

/* ================= RESPONSIVE ================= */

@media(max-width:1400px) {

    .form-title {
        font-size: 48px;
    }

    .help-title {
        font-size: 58px;
    }
}

@media(max-width:991px) {

    .help-card {
        min-height: 650px;
        margin-top: 20px;
    }

    .headphone-image {
        right: 50%;
        transform: translateX(50%);
        bottom: 0;
        max-height: 320px;
    }
}

@media(max-width:767px) {

    .contact-form-card,
    .help-card {
        padding: 28px 22px;
        border-radius: 22px;
    }

    .form-title {
        font-size: 32px;
    }

    .form-subtitle {
        font-size: 15px;
        margin-bottom: 25px;
    }

    .form-label {
        font-size: 17px;
    }

    .form-control {
        height: 60px;
        font-size: 16px;
        padding-left: 58px;
        border-radius: 14px;
    }

    textarea.form-control {
        height: 120px;
    }

    .custom-input i {
        font-size: 18px;
        left: 18px;
    }

    .send-btn {
        height: 62px;
        font-size: 20px;
        border-radius: 14px;
    }

    .help-title {
        font-size: 23px;
        margin-bottom: 0px;
    }

    .help-text {
        font-size: 14px;
    }

    .help-card {
        min-height: auto;
    }

    .headphone-image {
        max-height: 230px;
    }
}

.form-control {
    background: #fff;
    border: 1px solid rgba(255, 0, 0, 0.75);
    border-radius: 18px;
    height: 55px;
    color: #000;
    font-size: 15px;
    padding-left: 69px;
}
.armainpalce{
    color:#000!important
}

@media (min-width: 992px) {
    .loginframe .modal-lg, .modal-xl {
        max-width: 41% !important;
    }
}
.loginframe .modal-body{
   padding:0;
   margin:0
}
.loginframe .modal-content {
    height: 85vh !important;
    overflow: hidden;
}